#!/usr/bin/perl
#
# @(#)devmake     1998-03-06
#
# G. Arnold, SAP AG
#
#
#    ========== licence begin  GPL
#    Copyright (C) 2001 SAP AG
#
#    This program is free software; you can redistribute it and/or
#    modify it under the terms of the GNU General Public License
#    as published by the Free Software Foundation; either version 2
#    of the License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#    ========== licence end
#

package DevStudio;
require 5.000;
# use Tk;
use Env;
use File::Copy;


# collect options for im?
my @Options = ();
my $File ="";
my $Relase ="";
my $Opt_Extra = 0;
my( $i, $maxi ) = ( 0, $#ARGV );
while( $_ = $ARGV[ $i ], ( /^-(.*)/ && $i<=$maxi ) )
{
	if ( $1 eq "extra")
	{ $Opt_Extra = 1; }
	else
	{ push @Options, "-$1"; }
	splice @ARGV, $i, 1;
}


# if no version popup window with Tk

$Version = shift;
# not the version -> protocol file
if ( $Version !~ /^(fast|quick|slow)/i)
{
	print "Error: version not correct\n";
	die <DATA>;
}
$FullFileName = shift;

#search $OWN
if  ($FullFileName =~ /^(.*)\\sys\\src\\(.*)/)
{
	$File=":$2";
}
elsif ($FullFileName =~ /^(.*)\\sys\\desc\\(.*)/)
{
	$File="::$2";
}
elsif ( $FullFileName =~ /^(.*)\\tmp\\(.*)/ )
{
	$File="$2";
}
else
{
	die "Error: Can't locate OWN\n";
}
$OWN=$1;
$OWN =~ tr/A-Z/a-z/;

# convert \ to /
$File =~ s/\\/\//g;

# if Extra-File -> filename without layer
if (( $Opt_Extra ) && ( $File =~ /.*\/(.*)$/ ))
{
	$File = $1;
}

# set environment
local @ARGV = ("-c",$OWN);
# PTS 1106897
#@make_cmd =("$ENV{TOOL}\\bin\\im".substr($Version, 0 ,1).".pl", @Options, $File);
#push  @ARGV, @make_cmd;

do "Devstudio.pl";
if ( $@ ) { print "$@"; exit }
$Pid=$$;
copy ("$OWN/iprofile.bat", "$OWN/devmake$Pid.bat") or die $1;
open(DEVMAKE,">>$OWN/devmake$Pid.bat") or
	die "Error: Can't open $OWN/devmake$Pid.bat\n";
print DEVMAKE "echo on\n";
print DEVMAKE "perl $ENV{TOOL}\\bin\\im".substr($Version, 0 ,1).".pl ";
print DEVMAKE @Options;
print DEVMAKE " ".$File."\n";
close(DEVMAKE);

$ENV{OWN}=$OWN;

$ret= system("$OWN/devmake$Pid.bat");
unlink("$OWN/devmake$Pid.bat");

die ("Error while executing devmake !\n") if ( $ret != 0 ) ;




__DATA__


  USAGE:  devmake [<options>] [-extra] <version> <filename>

  1. Attach a file (full path) to a release
  2. Start Environment of release
  3. Start make of Modul or decription

  ARGUMENTS:
    <options>    :  options for imf,imq,ims
    <version>    :  fast|quick|slow
    <filename>   :  filename with full filepath


