#!/usr/bin/perl
#
# Build REMUSER_HOST array
#
#
#    ========== licence begin  GPL
#    Copyright (C) 2001 SAP AG
#
#    This program is free software; you can redistribute it and/or
#    modify it under the terms of the GNU General Public License
#    as published by the Free Software Foundation; either version 2
#    of the License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#    ========== licence end
#
use Env;

@REMUSER_HOST=();
@REMUSER_BIT64MODE=();

unless ($ENV{APOMAKE})
{
	$REMUSER_HOST{'aix32'}          = "is8802";
	$REMUSER_HOST{'aix64'}          = "is8802";
	$REMUSER_BIT64MODE{'aix64'}     = "BIT64";
	$REMUSER_ALIAS{'aix'}="aix64";

    $REMUSER_HOST{'sun32'}          = "us8802";
    $REMUSER_HOST{'sun64'}          = "us8802";
    $REMUSER_BIT64MODE{'sun64'}     = "BIT64";
    $REMUSER_ALIAS{'sun'}           = "sun64";

	$REMUSER_HOST{'hp32'}           = "hs8802";
	$REMUSER_HOST{'hp64'}           = "hs8802";
	$REMUSER_BIT64MODE{'hp64'}      = "BIT64";
	$REMUSER_ALIAS{'hp'}="hp64";

	$REMUSER_HOST{'dec'}            = "ds0124";
	$REMUSER_BIT64MODE{'dec'}       = "BIT64";
	$REMUSER_ALIAS{'alphaosf'}      = "dec";

	$REMUSER_HOST{'rm600'}          = "ss8800";
	$REMUSER_HOST{'sni32'}          = "ss8802";
	$REMUSER_HOST{'sni64'}          = "ss8802";
	$REMUSER_BIT64MODE{'sni64'}     = "BIT64";
	$REMUSER_ALIAS{'sni'}="sni64";

	$REMUSER_HOST{'linux'}          = "ls8800";

	$REMUSER_HOST{'linuxia64'}      = "pintel6405";
	$REMUSER_BIT64MODE{'linuxia64'} = "BIT64";

	$REMUSER_HOST{'ia64'}           = "p31821";
	$REMUSER_BIT64MODE{'ia64'}      = "BIT64";


	#-----------------------------------------
	# Release specific mappings
	#
	$REMUSER_HOST{'linux_8.0'}    = "ls8801";
	$REMUSER_HOST{'linux_7.4'}    = "ls8801";
	$REMUSER_HOST{'linux_7.42'}   = "ls8801";
	$REMUSER_HOST{'linux_7.41'}   = "ls8801";
	$REMUSER_HOST{'sun_8.0'}      = "us8802";
	$REMUSER_HOST{'sun32_8.0'}    = "us8802";
	$REMUSER_HOST{'sun64_8.0'}    = "us8802";
	$REMUSER_HOST{'sun_7.4'}      = "us8802";
	$REMUSER_HOST{'sun32_7.4'}    = "us8802";
	$REMUSER_HOST{'sun64_7.4'}    = "us8802";
	$REMUSER_HOST{'sun_7.41'}     = "us8802";
	$REMUSER_HOST{'sun32_7.41'}   = "us8802";
	$REMUSER_HOST{'sun64_7.41'}   = "us8802";
	$REMUSER_HOST{'aix64_8.0'}    = "is8801";
	$REMUSER_HOST{'aix64_7.4'}    = "is8801";
	$REMUSER_HOST{'aix64_7.42'}   = "is8801";
	$REMUSER_HOST{'aix64_7.41'}   = "is8801";

	#
	# List of platforms contained in 'all'
	#
	if ( $ENV{RELVER} ge "R74" ) {
	    $REMUSER_ALIAS{'all'}="aix64 dec linux hp64 sun64 ia64";
	    $REMUSER_ALIAS{'32bit'}="linux";
	    $REMUSER_ALIAS{'64bit'}="aix64 dec hp64 sun64 ia64";
	    $REMUSER_ALIAS{'unix'}="aix64 dec hp64 sun64 linux";
	    $REMUSER_ALIAS{'win'} ="ia64";
	} else {
        $REMUSER_ALIAS{'all'}="aix32 aix64 dec linux hp32 hp64 sun32 sun64 sni32 sni64 ia64";
        $REMUSER_ALIAS{'32bit'}="aix32 linux hp32 sun32 sni32";
        $REMUSER_ALIAS{'64bit'}="aix64 dec hp64 sun64 sni64 ia64";
        $REMUSER_ALIAS{'unix'}="aix32 aix64 dec hp32 hp64 sun32 sun64 linux sni32 sni64";
	    $REMUSER_ALIAS{'win'}="ia64";
	}
} else {

    $REMUSER_ALIAS{'all'}="aix64 aix5L64 dec hp64 sun64"; #  ia64";
    if ($ENV{APO_COM_SHORT} ge "4000")
    { $REMUSER_ALIAS{'unix'}="aix5L64 dec hp64 sun64";  }
    else
    { $REMUSER_ALIAS{'unix'}="aix64 aix5L64 dec hp64 sun64"; }
    $REMUSER_ALIAS{'win'} ="ia64";

	if ($ENV{APO_COM_SHORT} ge "4000")
    { $REMUSER_ALIAS{'aix'}="aix5L64"; }
    else
    { $REMUSER_ALIAS{'aix'}="aix64"; }
    $REMUSER_ALIAS{'aix5'}="aix5L64";
	$REMUSER_ALIAS{'sun'}="sun64";
	$REMUSER_ALIAS{'hp'}="hp64";

	$REMUSER_HOST{'aix64'}      = "is0028";
	$REMUSER_BIT64MODE{'aix64'} = "BIT64";

	$REMUSER_HOST{'aix5L64'}      = "is0027";
	$REMUSER_BIT64MODE{'aix5L64'} = "BIT64";

	$REMUSER_HOST{'sun64'}      = "us0071";
	$REMUSER_BIT64MODE{'sun64'} = "BIT64";

	if ( $ENV{APO_COM_SHORT} ge "40000")
	{	$REMUSER_HOST{'hp64'}      = "hs0110";  }
	else
	{	$REMUSER_HOST{'hp64'}      = "hs0021";	}
	$REMUSER_BIT64MODE{'hp64'} = "BIT64";

	if ( $ENV{APO_COM_SHORT} ge "40000")
	{	$REMUSER_HOST{'dec'}      = "ds0120"; }
	else
	{	$REMUSER_HOST{'dec'}      = "ds0118"; }
	$REMUSER_BIT64MODE{'dec'} = "BIT64";
	$REMUSER_ALIAS{'alphaosf'}= "dec";
}

if ( $ENV{RELVER} ge "R74" ) {
	$REMUSER_HOST{'aix32'} = "AIX_32bit_SAPDB_since_release_7.4_no_longer_supported";
	$REMUSER_HOST{'aix32_7.4'} = "AIX_32bit_SAPDB_since_release_7.4_no_longer_supported";
	$REMUSER_HOST{'aix32_7.42'} = "AIX_32bit_SAPDB_since_release_7.4_no_longer_supported";
	$REMUSER_HOST{'aix32_7.41'} = "AIX_32bit_SAPDB_since_release_7.4_no_longer_supported";
	$REMUSER_HOST{'hp32'} = "HP_32bit_SAPDB_since_release_7.4_no_longer_supported";
	$REMUSER_HOST{'hp32_7.4'} = "HP_32bit_SAPDB_since_release_7.4_no_longer_supported";
	$REMUSER_HOST{'hp32_7.42'} = "HP_32bit_SAPDB_since_release_7.4_no_longer_supported";
	$REMUSER_HOST{'hp32_7.41'} = "HP_32bit_SAPDB_since_release_7.4_no_longer_supported";
	$REMUSER_HOST{'sun32'} = "SUN_32bit_SAPDB_since_release_7.4_no_longer_supported";
	$REMUSER_HOST{'sun32_7.4'} = "SUN_32bit_SAPDB_since_release_7.4_no_longer_supported";
	$REMUSER_HOST{'sun32_7.42'} = "SUN_32bit_SAPDB_since_release_7.4_no_longer_supported";
	$REMUSER_HOST{'sun32_7.41'} = "SUN_32bit_SAPDB_since_release_7.4_no_longer_supported";
}
